javax.swing

## Enum SortOrder

- java.lang.Object
- - java.lang.Enum<SortOrder>
  - - javax.swing.SortOrder

- All Implemented Interfaces:
    Serializable, Comparable<SortOrder>

      public enum SortOrder
      extends Enum<SortOrder>

  SortOrder is an enumeration of the possible sort orderings.
  Since:
    1.6
  See Also:
    `RowSorter`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ASCENDING` | Enumeration value indicating the items are sorted in increasing order.
    `DESCENDING` | Enumeration value indicating the items are sorted in decreasing order.
    `UNSORTED` | Enumeration value indicating the items are unordered.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SortOrder` | `valueOf(String name)` | Returns the enum constant of this type with the specified name.
    `static SortOrder[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final SortOrder ASCENDING

      Enumeration value indicating the items are sorted in increasing order. For example, the set `1, 4, 0` sorted in `ASCENDING` order is `0, 1, 4`.

    - #### DESCENDING

          public static final SortOrder DESCENDING

      Enumeration value indicating the items are sorted in decreasing order. For example, the set `1, 4, 0` sorted in `DESCENDING` order is `4, 1, 0`.

    - #### UNSORTED

          public static final SortOrder UNSORTED

      Enumeration value indicating the items are unordered. For example, the set `1, 4, 0` in `UNSORTED` order is `1, 4, 0`.

  - ### Method Detail

    - #### values

          public static SortOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortOrder c : SortOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.